commit:     41e5be70e544079f6e9669a55d870444496455ce
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 27 19:27:47 2021 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sat Feb 27 19:31:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41e5be70

sys-cluster/nomad: 1.0.4 bump

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 sys-cluster/nomad/Manifest           |  1 +
 sys-cluster/nomad/nomad-1.0.4.ebuild | 45 ++++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/sys-cluster/nomad/Manifest b/sys-cluster/nomad/Manifest
index 0c1fecc7cd7..33e78cfa5e2 100644
--- a/sys-cluster/nomad/Manifest
+++ b/sys-cluster/nomad/Manifest
@@ -1,2 +1,3 @@
 DIST nomad-0.12.8.tar.gz 51472616 BLAKE2B 
17316e4305edc5a74d640d1bd46e1f997ae43727a6c6dcc5df19af64c659a9b00e4fa2c45c92d70ff70b465278b1bb5c03d81d041facf89549faba17d86efa96
 SHA512 
c4615043bd1ce3c28cc9a564d58cc0ebbd197b4761763f4d4106fc8d36678c1d8b5b697a38c5ec1093d7d3973b700cd5f32415ec10b8c00546aa1707dea25231
 DIST nomad-1.0.1.tar.gz 51101330 BLAKE2B 
ee955890e7d3cb093c05f91bb4ad4c33f65048875fbf626b8c40975b21c81b8c9802288cc90953a7639ae8b03ba01f1f65320d711bf884aa27c80bfcecccb73b
 SHA512 
07032f965c5826882a4ce0acd7ef2a5d74cc5f0c439b030a4787e60c474070797c5f88d84353e5d423c1d0f6ac411119fd40eebb57848d4eecd8394477fbffa2
+DIST nomad-1.0.4.tar.gz 39538107 BLAKE2B 
ff72d527e23ce01a6ef0201e3606f4f66933f3c205123a32f503947710de3221476ce738b92becb147a8570c65bb5f4707fad480889197f605840197cfa13155
 SHA512 
935c8a6924434548f65b162c15f9ca14383546a1e0cea0694312f323d776d92863357f82c7ab53408e76c5c966986c0a511eda8a35043cf21c1020634c6e2ae4

diff --git a/sys-cluster/nomad/nomad-1.0.4.ebuild 
b/sys-cluster/nomad/nomad-1.0.4.ebuild
new file mode 100644
index 00000000000..dc33a113797
--- /dev/null
+++ b/sys-cluster/nomad/nomad-1.0.4.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit go-module systemd
+GIT_COMMIT=149b150fb2d87766b8462346d68b72831f622047
+
+DESCRIPTION="A simple and flexible workload orchestrator"
+HOMEPAGE="https://nomadproject.io";
+SRC_URI="https://github.com/hashicorp/nomad/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="nvidia"
+
+RESTRICT+=" test"
+
+src_compile() {
+       local go_ldflags go_tags
+       go_ldflags="-X 
github.com/hashicorp/nomad/version.GitCommit=${GIT_COMMIT}"
+       go_tags="codegen_generated $(usex nvidia '' 'nonvidia')"
+       CGO_ENABLED=1 \
+               go build \
+               -ldflags "${go_ldflags}" \
+               -mod=vendor \
+               -tags "${go_tags}" \
+               -trimpath \
+               -o bin/${PN} || die "compile failed"
+}
+
+src_install() {
+       dobin bin/${PN}
+       systemd_dounit dist/systemd/nomad.service
+       insinto /etc/nomad.d
+       newins dist/client.hcl client.hcl.example
+       newins dist/server.hcl server.hcl.example
+       einstalldocs
+       dodoc CHANGELOG.md
+       keepdir /var/lib/nomad /var/log/nomad
+       newconfd "${FILESDIR}/nomad.confd" nomad
+       newinitd "${FILESDIR}/nomad.initd" nomad
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/nomad.logrotated" nomad
+}

Reply via email to